Bug 1473447 - incompatible with Sphinx 1.6: AttributeError: 'Sphinx' object has no attribute 'domains'
incompatible with Sphinx 1.6: AttributeError: 'Sphinx' object has no attribut...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-sphinxcontrib-httpdomain (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 18:07 EDT by Dan Callaghan
Modified: 2017-08-12 14:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-sphinxcontrib-httpdomain-1.5.0-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-12 14:25:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2017-07-20 18:07:58 EDT
Description of problem:
Latest sphinx in rawhide appears to have broken sphinxcontrib-httpdomain.

Version-Release number of selected component (if applicable):
python2-sphinxcontrib-httpdomain-1.5.0-3.fc27
python2-sphinx-1.6.3-1.fc27

How reproducible:
easily

Steps to Reproduce:
1. Build docs which using sphinxcontrib-httpdomain
(for example https://pagure.io/waiverdb)

Actual results:
+ make -C docs html text
make: Entering directory '/builddir/build/BUILD/waiverdb-0.2.1/docs'
Running Sphinx v1.6.3
/usr/lib/python2.7/site-packages/sphinx/util/compat.py:40: RemovedInSphinx17Warning: sphinx.util.compat.Directive is deprecated and will be removed in Sphinx 1.7, please use docutils' instead.
  RemovedInSphinx17Warning)
Exception occurred:
  File "/usr/lib/python2.7/site-packages/sphinxcontrib/autohttp/flask.py", line 46, in setup
    if 'http' not in app.domains:
AttributeError: 'Sphinx' object has no attribute 'domains'

Expected results:
should build successfully

Additional info:
Seems like python-sphinx recently went from 1.5 to 1.6 in rawhide.
Comment 3 Dan Callaghan 2017-07-31 19:02:12 EDT
Just realised that Sphinx 1.6 has landed in F26 now too...
Comment 4 Fedora Update System 2017-07-31 19:23:51 EDT
python-sphinxcontrib-httpdomain-1.5.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eae0de7a03
Comment 5 Fedora Update System 2017-08-01 21:52:47 EDT
python-sphinxcontrib-httpdomain-1.5.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eae0de7a03
Comment 6 Fedora Update System 2017-08-12 14:25:02 EDT
python-sphinxcontrib-httpdomain-1.5.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.